CVE-2022-22978

Published on: Not Yet Published

Last Modified on: 07/25/2022 07:09:15 PM UTC

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Certain versions of Spring Security from Vmware contain the following vulnerability:

In Spring Security versions 5.5.6 and 5.6.3 and older unsupported versions, RegexRequestMatcher can easily be misconfigured to be bypassed on some servlet containers. Applications using RegexRequestMatcher with `.` in the regular expression are possibly vulnerable to an authorization bypass

  • CVE-2022-22978 has been assigned by URL Logo [email protected] to track the vulnerability - currently rated as CRITICAL severity.

CVSS3 Score: 9.8 - CRITICAL

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 7.5 - HIGH

Access
Vector
Access
Complexity
Authentication
NETWORK LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL PARTIAL PARTIAL

CVE References

Description Tags Link
CVE-2022-22978 | Security | VMware Tanzu tanzu.vmware.com
text/html
URL Logo MISC tanzu.vmware.com/security/cve-2022-22978
May 2022 Spring Security Vulnerabilities in NetApp Products | NetApp Product Security security.netapp.com
text/html
URL Logo CONFIRM security.netapp.com/advisory/ntap-20220707-0003/
Oracle Critical Patch Update Advisory - July 2022 www.oracle.com
text/html
URL Logo MISC www.oracle.com/security-alerts/cpujul2022.html

Exploit/POC from Github

CVE-2022-22978 POC Project

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationVmwareSpring SecurityAllAllAllAll
ApplicationVmwareSpring SecurityAllAllAllAll
ApplicationVmwareSpring SecurityAllAllAllAll
  • cpe:2.3:a:vmware:spring_security:*:*:*:*:*:*:*:*:
  • cpe:2.3:a:vmware:spring_security:*:*:*:*:*:*:*:*:
  • cpe:2.3:a:vmware:spring_security:*:*:*:*:*:*:*:*:

Social Mentions

Source Title Posted (UTC)
Twitter Icon @nishino_hiroki CVE採番ミスってるなとおもったらCVE-2022-22978になってた 2022-05-17 17:12:13
Twitter Icon @linuxeden_com Spring Security 5.7.0, 5.6.4, 5.5.7 发布修复 CVE-2022-22978 & CVE-2022-22976 ift.tt/jmKcIUa 2022-05-18 00:16:38
Twitter Icon @CVEreport CVE-2022-22978 : In Spring Security versions 5.5.6 and 5.5.7 and older unsupported versions, RegexRequestMatcher ca… twitter.com/i/web/status/1… 2022-05-19 15:09:10
Twitter Icon @LinInfoSec Spring - CVE-2022-22978: tanzu.vmware.com/security/cve-2… 2022-05-19 17:00:34
Reddit Logo Icon /r/netcve CVE-2022-22978 2022-05-19 16:38:57
Reddit Logo Icon /r/blueteamsec Spring Security RegexRequestMatcher Authentication Bypass Vulnerability Analysis (CVE-2022-22978) | NOSEC Security Information Platform - White Hat Security Research Institute 2022-05-25 18:27:04
Reddit Logo Icon /r/websecurityresearch Spring Security RegexRequestMatcher 认证绕过漏洞分析(CVE-2022-22978)| Spring Security RegexRequestMatcher Authentication Bypass Vulnerability Analysis (CVE-2022-22978) 2022-05-27 17:00:25
© CVE.report 2022 Twitter Nitter Twitter Viewer |

Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.

CVE, CWE, and OVAL are registred trademarks of The MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. This site includes MITRE data granted under the following license.

CVE.report and Source URL Uptime Status status.cve.report